Bug 1123154 - SELinux is preventing /usr/libexec/sssd/sssd_be from 'write' accesses on the directory .
Summary: SELinux is preventing /usr/libexec/sssd/sssd_be from 'write' accesses on the ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1488169fdc59dd4f51242476eec...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 02:35 UTC by William Brown
Modified: 2014-08-21 09:46 UTC (History)
12 users (show)

Fixed In Version: selinux-policy-3.12.1-180.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-21 09:46:41 UTC


Attachments (Terms of Use)

Description William Brown 2014-07-25 02:35:04 UTC
Description of problem:
System was running normally. File trying to be accessed was /usr/share/pki/ca-trust-source by sssd_be
SELinux is preventing /usr/libexec/sssd/sssd_be from 'write' accesses on the directory .

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that sssd_be should be allowed write access on the  directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep sssd_be /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:sssd_t:s0
Target Context                system_u:object_r:cert_t:s0
Target Objects                 [ dir ]
Source                        sssd_be
Source Path                   /usr/libexec/sssd/sssd_be
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           sssd-common-1.11.6-1.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-177.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.15.6-200.fc20.x86_64 #1 SMP Fri
                              Jul 18 02:36:27 UTC 2014 x86_64 x86_64
Alert Count                   9
First Seen                    2014-07-21 13:50:54 CST
Last Seen                     2014-07-25 10:59:19 CST
Local ID                      3062ecf9-e123-447e-a59a-e5f6f91dd1e3

Raw Audit Messages
type=AVC msg=audit(1406251759.494:377): avc:  denied  { write } for  pid=1700 comm="sssd_be" name="ca-trust-source" dev="dm-2" ino=33839151 scontext=system_u:system_r:sssd_t:s0 tcontext=system_u:object_r:cert_t:s0 tclass=dir


type=SYSCALL msg=audit(1406251759.494:377): arch=x86_64 syscall=access success=no exit=EACCES a0=7f3d47943e60 a1=2 a2=0 a3=c23c9699d0 items=0 ppid=1697 pid=1700 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=sssd_be exe=/usr/libexec/sssd/sssd_be subj=system_u:system_r:sssd_t:s0 key=(null)

Hash: sssd_be,sssd_t,cert_t,dir,write

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.15.6-200.fc20.x86_64
type:           libreport

Potential duplicate: bug 1070432

Comment 1 William Brown 2014-07-25 02:36:53 UTC
Why is sssd trying to write to this file?

Comment 2 Miroslav Grepl 2014-07-25 05:58:28 UTC
This is access check.

syscall=access

Comment 3 Miroslav Grepl 2014-07-25 09:57:44 UTC
commit ea1e44151a6ef13c0dc3f20dedbd266bcff6fc90
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Fri Jul 25 11:56:22 2014 +0200

    Dontaudit attempts to access check cert dirs/files for sssd.

https://github.com/selinux-policy/selinux-policy/commit/ea1e44151a6ef13c0dc3f20dedbd266bcff6fc90

Comment 4 Fedora Update System 2014-08-13 12:09:17 UTC
selinux-policy-3.12.1-180.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-180.fc20

Comment 5 Fedora Update System 2014-08-16 00:30:38 UTC
Package selinux-policy-3.12.1-180.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-180.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9454/selinux-policy-3.12.1-180.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-08-21 09:46:41 UTC
selinux-policy-3.12.1-180.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.